package com.qianhe.service;

import com.qianhe.domain.SjGfjsZsdwkhpjZb;

import java.util.List;

/**
 * 指导帮扶-直属单位考核评价主Service接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface ISjGfjsZsdwkhpjZbService 
{
    /**
     * 查询指导帮扶-直属单位考核评价主
     * 
     * @param id 指导帮扶-直属单位考核评价主主键
     * @return 指导帮扶-直属单位考核评价主
     */
    public SjGfjsZsdwkhpjZb selectSjGfjsZsdwkhpjZbById(Long id);

    /**
     * 查询指导帮扶-直属单位考核评价主列表
     * 
     * @param sjGfjsZsdwkhpjZb 指导帮扶-直属单位考核评价主
     * @return 指导帮扶-直属单位考核评价主集合
     */
    public List<SjGfjsZsdwkhpjZb> selectSjGfjsZsdwkhpjZbList(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    public List<SjGfjsZsdwkhpjZb> selectSjGfjsZsdwkhpjZbList_Bfz(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    public List<SjGfjsZsdwkhpjZb> selectSjGfjsZsdwkhpjZbList_main(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    /**
     * 新增指导帮扶-直属单位考核评价主
     * 
     * @param sjGfjsZsdwkhpjZb 指导帮扶-直属单位考核评价主
     * @return 结果
     */
    public int insertSjGfjsZsdwkhpjZb(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    /**
     * 修改指导帮扶-直属单位考核评价主
     * 
     * @param sjGfjsZsdwkhpjZb 指导帮扶-直属单位考核评价主
     * @return 结果
     */
    public int updateSjGfjsZsdwkhpjZb(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);

    /**
     * 批量删除指导帮扶-直属单位考核评价主
     * 
     * @param ids 需要删除的指导帮扶-直属单位考核评价主主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjZbByIds(Long[] ids);

    /**
     * 删除指导帮扶-直属单位考核评价主信息
     * 
     * @param id 指导帮扶-直属单位考核评价主主键
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjZbById(Long id);

    SjGfjsZsdwkhpjZb selectSjGfjsZsdwkhpjZb(SjGfjsZsdwkhpjZb sjGfjsZsdwkhpjZb);
}
